# OpenSCAD 模型

练习用的模型。

在 Linux 上没有特别趁手的 CAD 软件，所以尝试用 Gemini 教我用 OpenSCAD 制作模型。

大部分模型都有三个格式：
- `*.scad`: 源文件
- `*.stl`: 通用模型
- `*.3mf`: 打印用的模型

## 用途用法

主要是为了 3D 打印设计的。

### OpenSCAD

非常感谢社区有这么一个软件，让我这个臭写代码的也能做模型。

官网: https://openscad.org/

Github: [![GitHub Release](https://img.shields.io/github/v/release/openscad/openscad)](https://github.com/openscad/openscad/)


大部分 Unix 下，通过 openscad 这个包名安装。注意 repology 的版本被 Gentoo 带跑了，Arch Linux 的版本相对应该是比较准确的最新版本。实际上因为它更新很慢，所以其实无所谓的

[![Packaging status](https://repology.org/badge/vertical-allrepos/openscad.svg)](https://repology.org/project/openscad/versions)

Windows 可以用 winget 安装：`winget install OpenSCAD.OpenSCAD` [![WinGet Package Version](https://img.shields.io/winget/v/OpenSCAD.OpenSCAD)](https://winstall.app/apps/OpenSCAD.OpenSCAD)


### 转换 OpenSCAD 模型为其他软件可以编辑的模型

```
openscad -o xxx.stl xxx.scad
# 或者
openscad -o xxx.3mf xxx.scad
```

OpenSCAD 生成的 3mf 文件，只带有形状信息，不会比 STL 更方便。

### 切片

我自己买了一台 Bambu A1 combo，也就是有 AMS lite 的套餐。所以我个人倾向于使用拓竹的 Bambu Studio，和 Orca Slicer。

为了家里人也可以使用，我主要是用 Windows 切片和打印。

Bambu Studio: `winget install Bambulab.Bambustudio` [![WinGet Package Version](https://img.shields.io/winget/v/Bambulab.Bambustudio)
](https://winstall.app/apps/Bambulab.Bambustudio)

Orca Slicer: `winget install SoftFever.OrcaSlicer` [![WinGet Package Version](https://img.shields.io/winget/v/SoftFever.OrcaSlicer)](https://winstall.app/apps/SoftFever.OrcaSlicer)

## 模型列表

### [养猫用的东西](猫猫用品):

- TODO: 猫猫出入用的挡板
- TODO: 猫猫出入后，皮筋自动关门
    - [门上的挂钩](猫猫用品/猫门.3mf)
    - TODO: 门框上的挂钩

### 家装

- 书房书柜上的[手柄挂架](./家装/手柄挂架.3mf)
- 给小朋友铺了地垫后，[机器人通行用的缓坡](./家装/机器人缓坡2-3+2+2.scad)

### 练习

- 套在一起的环